import Vue from 'vue'
import App from './App.vue'
import Router from "vue-router"
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';

const routes = [
  {
  path:"/",
  component: ()=>import("./pages/nav.vue"),
  // 以上两行 代表着项目的根路径，就代表着默认打开nav 页面

  //children:[{}] 可以用来写nav页面的子页面，里面写上各自的路径地址
  
  children: [{
    path:"user",
    component: ()=>import("./pages/user.vue")
  },
  {
    path:"index",
    component: ()=>import("./pages/index.vue")
  }
  // 上面这种路径的写法是绝对路径 前面对应的是@click="$router.push('/index')和@click="$router.push('/user')
  // 但是一般都是用相对路径 

]
}]

// vue 的插件
Vue.use(ElementUI);

// vuerouter 插件vue
Vue.use(Router)

const router = new Router({
  routes,
})

Vue.config.productionTip = false

new Vue({
  render: h => h(App),
  router
}).$mount('#app')
